Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

Highlighted

HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

New Contributor
 
9 REPLIES 9

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

@Govinda Rao Peddakota

Look into the option of Ambari views.

Yes on RHEL 6.5/CentOS 6.5 as they are supported environment

http://docs.hortonworks.com/HDPDocuments/Ambari-2.2.0.0/bk_Installing_HDP_AMB/content/_operating_sys...

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

New Contributor

Thanks @Neeraj Sabharwal. But I am looking for supported OS environments for HUE installation on HDP 2.3.4

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

@Govinda Rao Peddakota See this http://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.3.4/bk_installing_manually_book/content/prerequi...

Hue is not supported on CentOS 7 in HDP 2.3.4.

Supported

  • 64-bit Red Hat Enterprise Linux (RHEL) 6
  • 64-bit CentOS 6• 64-bit Oracle Linux 6
  • 64-bit SUSE Linux Enterprise Server (SLES) 11 or SP3

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

New Contributor

Thanks. @Neeraj Sabharwal. We had servers with CentOS7 and RHEL 7 installed and trying to install new version of HUE which requires python 2.7 as a prerequisite. But came to know that HDP doesn't support python 2.7 . Please help us on how to install this new HUE version in CentOS7 and RHEL 7 servers

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

@Govinda Rao Peddakota It's not supported so can't recommend. I worked on Hue around a year ago because Ambari views are awesome :)

FYI: There is a new trend in the market. Several customers have started using Ambari Views instead Hue.

http://docs.hortonworks.com/HDPDocuments/Ambari-2.2.0.0/bk_ambari_views_guide/content/ch_using_ambar...

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

New Contributor

@Neeraj Sabharwal. Any idea when HDP2.3 is going to support RHEL7/CentOS 7 and Python 2.7.

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

@Govinda Rao Peddakota No so let's keep an eye on the future release notes. I believe we can close this thread by accepting the best answer.

PS: Python v2.7.9 or later is not supported due to changes in how Python performs certificate validation.

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

New Contributor

Is HDP2.3 is supported on any of these Python 2.7.0 to 2.7.8 versions. If yes then please confirm on the recommended versions. In Adobe RHEL 7/CentOS 7 and Python 2.7 were the standard recommended softwares.

Re: HUE is not supported on RHEL 7/CentOS7. Please provide recommended RHEL/CentOS versions which support HUE on HDP 2.3.4 platfrom. Is it recommended to use RHEL 6.5/CentOS 6.5?

Mentor

@Govinda Rao Peddakota are you still having issues with this? Can you accept the best answer or provide your own solution?

Don't have an account?
Coming from Hortonworks? Activate your account here